# Uses of Class
org.xml.sax.SAXParseException

Packages that use SAXParseException
Package
Description
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

- ## Uses of SAXParseException in org.xml.sax

  Methods in org.xml.sax with parameters of type SAXParseException
  Modifier and Type
  Method
  Description
  `void`
  ErrorHandler.`error(SAXParseException exception)`
  Receive notification of a recoverable error.
  `void`
  HandlerBase.`error(SAXParseException e)`
  Deprecated.
  Receive notification of a recoverable parser error.
  `void`
  ErrorHandler.`fatalError(SAXParseException exception)`
  Receive notification of a non-recoverable, fatal error.
  `void`
  HandlerBase.`fatalError(SAXParseException e)`
  Deprecated.
  Report a fatal XML parsing error.
  `void`
  ErrorHandler.`warning(SAXParseException exception)`
  Receive notification of a warning.
  `void`
  HandlerBase.`warning(SAXParseException e)`
  Deprecated.
  Receive notification of a parser warning.

- ## Uses of SAXParseException in org.xml.sax.helpers

  Methods in org.xml.sax.helpers with parameters of type SAXParseException
  Modifier and Type
  Method
  Description
  `void`
  DefaultHandler.`error(SAXParseException e)`
  Receive notification of a recoverable parser error.
  `void`
  XMLFilterImpl.`error(SAXParseException e)`
  Filter an error event.
  `void`
  DefaultHandler.`fatalError(SAXParseException e)`
  Report a fatal XML parsing error.
  `void`
  XMLFilterImpl.`fatalError(SAXParseException e)`
  Filter a fatal error event.
  `void`
  DefaultHandler.`warning(SAXParseException e)`
  Receive notification of a parser warning.
  `void`
  XMLFilterImpl.`warning(SAXParseException e)`
  Filter a warning event.